#!/bin/bash

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../
PKG_VERSION="0.1.0"
OLD_NODE_VERSION=$(node -v)

source ~/.bashrc
source ~/.nvm/nvm.sh

{
  	nvm install $OLD_NODE_VERSION
	nvm install 14
	nvm use 14
} || {
	echo 'NVM not installed...'
}

cd $PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" "productInfo.json"

{
	cd $PRODUCT_PATH/frontend
    
    rm src/router.ts
    wget -O router.ts https://gabrielxavier1.zeedhi.com/workfolder/router.ts
    mv router.ts src
    
    npm install
    
    #rm vue.config.js
    #wget -O vue.config.js https://gabrielxavier1.zeedhi.com/workfolder/vue.config.js
    #wget -O service-worker.js https://gabrielxavier1.zeedhi.com/workfolder/service-worker.js
	rm src/controllers/LoginController.ts
    wget -O LoginController.ts https://gabrielxavier1.zeedhi.com/workfolder/LoginController.ts
    mv LoginController.ts ./src/controllers/
    #mv service-worker.js ./src
    npm run build
    
    #PRECACHE_FILENAME=$(ls dist/ | grep 'precache-manifest' | awk '{print $1}')
    #$SCRIPTS_PATH/replace.sh "<>PRECACHE_FILENAME<>" "$PRECACHE_FILENAME" ./dist/service-worker.js
    
} || {
	echo 'Error install frontend dependencies...'
	exit 1
}

{
	cd $PRODUCT_PATH/backend
    rm -rf _node_modules
    npm install
    mv node_modules _node_modules
} || {
	echo 'Error install backend dependencies'
	exit 1
}

nvm use $OLD_NODE_VERSION
echo 'Finish'
